Skip to navigation

Get Onboarding Status

View as Markdown
Partner Restricted

The Partner Onboarding API is only available to approved partners who have signed a Paylocity Technology Partnership Agreement. If you are not yet a partner and are interested in exploring partnership opportunities, please contact us at Techpartnerships@paylocity.com

Summary Description

The new Partner Onboarding API is designed to enable our partners to onboard customers through our Paylocity Marketplace-initiated workflow. Approved partners will utilize the API to provision a client onto a specific integration. This endpoint allows partners to get their onboardings with an option of filtering by companyId and status.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Query parameters

filterstringOptional

The filtering expression ( e.g. companyId eq b6001, status eq Approved ).

limitintegerOptional
Limit.
offsetintegerOptional
Offset.
includeTotalCountbooleanOptional
Include total items count into response as a header.

Response

Successful response